# Method: projects.locations.awsClusters.well-known.getOpenid-configuration

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.request_body)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.AwsOpenIdConfig.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest/v1/projects.locations.awsClusters.well-known/getOpenid-configuration#body.aspect)

> [!WARNING]
> GKE-on-AWS is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/aws/deprecations/deprecation-announcement> for more details.

Gets the OIDC discovery document for the cluster. See the [OpenID Connect Discovery 1.0 specification](https://openid.net/specs/openid-connect-discovery-1_0.html) for details.

### HTTP request

`GET https://{endpoint}/v1/{awsCluster=projects/*/locations/*/awsClusters/*}/.well-known/openid-configuration`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/kubernetes-engine/multi-cloud/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `awsCluster` | `string` Required. The AwsCluster, which owns the OIDC discovery document. Format: projects/{project}/locations/{location}/awsClusters/{cluster} |

### Request body

The request body must be empty.

### Response body

> [!WARNING]
> GKE-on-AWS is deprecated. See <https://cloud.google.com/kubernetes-engine/multi-cloud/docs/aws/deprecations/deprecation-announcement> for more details.

AwsOpenIdConfig is an OIDC discovery document for the cluster. See the OpenID Connect Discovery 1.0 specification for details.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "issuer": string, "jwks_uri": string, "response_types_supported": [ string ], "subject_types_supported": [ string ], "id_token_signing_alg_values_supported": [ string ], "claims_supported": [ string ], "grant_types": [ string ] } ``` |

| Fields ||
|---|---|
| `issuer` | `string` OIDC Issuer. |
| `jwks_uri` | `string` JSON Web Key uri. |
| `response_types_supported[]` | `string` Supported response types. |
| `subject_types_supported[]` | `string` Supported subject types. |
| `id_token_signing_alg_values_supported[]` | `string` supported ID Token signing Algorithms. |
| `claims_supported[]` | `string` Supported claims. |
| `grant_types[]` | `string` Supported grant types. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).